def add_data_config(parser):
    parser.add_argument('--data_name', help='unsigned & directed & unweighted data name', type=str, default="cora")
    parser.add_argument('--data_root', help='unsigned & directed & unweighted data root', type=str, default="./datasets")
    parser.add_argument('--data_dimension_k', help='generate node features based on the structure topology', type=int, default=100)
    #llm
    parser.add_argument('--llm_batch_size', type=int, default=2, help='batch size of llama 2')
    parser.add_argument('--llm_path', type=str, default='/home/ai/huggingface/glm-4-9b-chat', help='path of llm')



